org.apache.xpath

## Class XPathProcessorException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.xml.transform.TransformerException
      - - org.apache.xpath.XPathException
        - - org.apache.xpath.XPathProcessorException

- All Implemented Interfaces:
    java.io.Serializable

      public class XPathProcessorException
      extends XPathException

  Derived from XPathException in order that XPath processor exceptions may be specifically caught.
  See Also:
    Serialized Form
  Usage:

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XPathProcessorException(java.lang.String message)` Create an XPathProcessorException object that holds an error message.
    `XPathProcessorException(java.lang.String message, java.lang.Exception e)` Create an XPathProcessorException object that holds an error message, and another exception that caused this exception.

  - ### Method Summary

    - ### Methods inherited from class org.apache.xpath.XPathException

      `getException, getMessage, getStylesheetNode, getStylesheetNode, printStackTrace, printStackTrace, setStylesheetNode`

    - ### Methods inherited from class javax.xml.transform.TransformerException

      `getCause, getLocationAsString, getLocator, getMessageAndLocation, initCause, printStackTrace, setLocator`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getStackTrace, getSuppressed, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### XPathProcessorException

          public XPathProcessorException(java.lang.String message)

      Create an XPathProcessorException object that holds an error message.
      Parameters:
        `message` - The error message.

    - #### XPathProcessorException

          public XPathProcessorException(java.lang.String message,
                                 java.lang.Exception e)

      Create an XPathProcessorException object that holds an error message, and another exception that caused this exception.
      Parameters:
        `message` - The error message.
        `e` - The exception that caused this exception.

Copyright © 2014 Apache XML Project. All Rights Reserved.